Bindings
Create a new Binding
Creates a binding that associates a service with a port or interface.
Binding Types
- Interface binding: Service is present at an interface (IP address) without a specific port. Used for non-port-bound services like gateways.
- Port binding (specific interface): Service listens on a specific port on a specific interface.
- Port binding (all interfaces): Service listens on a specific port on all interfaces
(
interface_id: null).
Validation and Deduplication Rules
- Conflict detection: Interface bindings conflict with port bindings on the same interface. A port binding on all interfaces conflicts with any interface binding for the same service.
- All-interfaces precedence: When creating a port binding with
interface_id: null, any existing specific-interface bindings for the same port are automatically removed, as they are superseded by the all-interfaces binding.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
interface_id*string
Format
uuidnetwork_id*string
Format
uuidservice_id*string
Format
uuidtype*string
Value in
"Interface"Response Body
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/bindings" \ -H "Content-Type: application/json" \ -d '{ "created_at": "2026-03-02T07:10:08.140405Z", "id": "9748bc1b-49c1-4dc6-abe8-11a5c7b092da", "interface_id": "550e8400-e29b-41d4-a716-446655440005", "network_id": "550e8400-e29b-41d4-a716-446655440002", "port_id": "550e8400-e29b-41d4-a716-446655440006", "service_id": "550e8400-e29b-41d4-a716-446655440007", "type": "Port", "updated_at": "2026-03-02T07:10:08.140405Z" }'{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"data": {
"created_at": "2026-03-02T07:10:08.153236Z",
"id": "e3629935-5dd5-4f3e-999d-32f4d23f6665",
"interface_id": "550e8400-e29b-41d4-a716-446655440005",
"network_id": "550e8400-e29b-41d4-a716-446655440002",
"port_id": "550e8400-e29b-41d4-a716-446655440006",
"service_id": "550e8400-e29b-41d4-a716-446655440007",
"type": "Port",
"updated_at": "2026-03-02T07:10:08.153236Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Bulk delete Bindings
Previous Page
Update a Binding
Updates an existing binding. The same conflict detection rules from binding creation apply. ## Validation Rules - **Conflict detection**: The updated binding must not conflict with other bindings on the same service. Interface bindings conflict with port bindings on the same interface.